namespace PostgreSQLFullTextSearch.Migrations
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Migrations;
    using System.Linq;
    using Devart.Data.PostgreSql.Entity.Migrations;

    internal sealed class Configuration : DbMigrationsConfiguration<PostgreSQLFullTextSearch.MyContext>
    {
        public Configuration()
        {
            //AutomaticMigrationsEnabled = false;
            this.SetSqlGenerator(PgSqlConnectionInfo.InvariantName,
                                new PgSqlEntityMigrationSqlGenerator());
        }

        protected override void Seed(PostgreSQLFullTextSearch.MyContext context)
        {
            //  This method will be called after migrating to the latest version.

            //  You can use the DbSet<T>.AddOrUpdate() helper extension method 
            //  to avoid creating duplicate seed data. E.g.
            //
            //    context.People.AddOrUpdate(
            //      p => p.FullName,
            //      new Person { FullName = "Andrew Peters" },
            //      new Person { FullName = "Brice Lambson" },
            //      new Person { FullName = "Rowan Miller" }
            //    );
            //
        }
    }
}
